#!/bin/bash
#Script proposé par Clément VERMOT-DESROCHES
#Version 1.0 - 24/02/2013
#licence CC BY-SA 3.0
#Documentation disponible sur : http://dreamofflying.wordpress.com/2012/10/09/conversion-des-cartes-ign-oaci-france-vers-oruxmaps-android-navigation-avion-ecw/ ‎
echo "Bienvenue dans le script de conversion France IGN OACI - OruxMaps"
echo "Ce script est proposé par Clément VERMOT-DESROCHES"
echo "Voir l'article d'origine à l'adresse : http://dreamofflying.wordpress.com/2012/10/09/conversion-des-cartes-ign-oaci-france-vers-oruxmaps-android-navigation-avion-ecw/"
echo "Un fichier d'aide expliquant le fonctionnement de ce script est disponible dans ce repertoire, consultez Aide.pdf"
echo "Ce script nécessite une connexion Internet pour fonctionner"
echo -e "\033[31;1mSi vous êtes bien connecté à Internet, appuyez sur Entré, sinon, Ctrl+C\033[0m"
read
nb2=$(ls -l | grep France.ecw | wc -l)
if [ $nb2 -ge "1" ]; then
	echo -e "\033[32;1mFichier de l'IGN présent\033[0m"
else
	echo -n -e "\033[31;1mFichier France.ecw absent. Veuillez placer ce fichier dans le répertoire\033[0m"
	pwd
	echo -e "puis appuyez sur entré pour continuer.\033[0m"
	read;
fi

echo "Téléchargement d'OruxMaps Desktop"
#wget http://www.oruxmaps.com/OruxMapsDesktop.zip
wget http://vermot.net/net/oruxMaps/OruxMapsDesktop.zip
echo "Décompression d'OruxMaps Desktop"
unzip OruxMapsDesktop.zip

echo "Vérification du support ECW : "
gdalinfo --formats | grep ECW
nb=$(gdalinfo --formats | grep ECW | wc -l)
if [ $nb -ge "1" ]; then
	echo -e "\033[32;1mLe support ECW pour gdal est déjà installé\033[0m"
else
	echo -e "\033[31;1mSupport ECW pour gdal absent : installation\033[0m"

	echo "Récupération de package GDal et librairies nécessaires"
	echo "Répondre par l'affirmative à toutes les questions"
	sudo add-apt-repository ppa:ubuntugis/ubuntugis-unstable/ubuntu 
	sudo apt-get update && sudo apt-get upgrade
	sudo apt-get install gdal-bin libgdal-ecw-src
	#sudo apt-get install openjdk-6-jre

	echo "Téléchargement librarie ECW"
	#wget http://ns227471.ovh.net/veremes/freedownload/products/util/ImageCompressionSDKSourceCode3.3Setup_20070509.zip
	wget http://vermot.net/net/oruxMaps/libecw2-3.3-src.zip
	echo "Décompression librarie ECW"
	#unzip ImageCompressionSDKSourceCode3.3Setup_20070509.zip
	unzip libecw2-3.3-src.zip
	echo "Téléchargement de la documentation du script"

	cd ./libecwj2-3.3	
	echo "Compilation et installation librarie ECW"
	./configure --prefix=/usr
	make
	sudo make install
	sudo gdal-ecw-build /usr
	cd ..

	echo "Rapport installation ECW : "
	gdalinfo --formats | grep ECW
	nb=$(gdalinfo --formats | grep ECW | wc -l)
	if [ $nb -ge "1" ]; then
		echo -e "\033[31;1mLe support ECW pour gdal a bien été installé\033[0m"
	else
		echo -e "\033[31;1mEchec de l'installation ECW pour gdal :\033[0m"
		gdalinfo --formats
		echo -e "\033[31;1mArrêt - Le fichier converti n'a pas été créé\033[0m"
		exit;
	fi
fi

echo "Conversion de ECW vers JPG. Cette opération peut durer plusieurs minutes"
gdal_translate -of "JPEG" France.ecw France.jpg

echo "Lancement d'OruxMaps Desktop"
cd ./OruxMapsDesktop
./OruxMapsDesktop.sh
